Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.transport.util
Class AbstractWsdlProcessor

    java.lang.Object
      org.wso2.wsas.transport.util.AbstractWsdlProcessor

All Implemented Interfaces:
  HttpGetRequestProcessor

Direct Known Subclasses:
  Wsdl11Processor, Wsdl20Processor

    public abstract class AbstractWsdlProcessor

extends java.lang.Object
implements HttpGetRequestProcessor

Nested Class Summary
`protected static interface` | `AbstractWsdlProcessor.WSDLPrinter`

Constructor Summary
`AbstractWsdlProcessor()`

Method Summary
`protected boolean` | `checkForAnnotation(javax.servlet.http.HttpServletRequest request)` This method check for annotation=true query param.
`protected java.lang.String` | `getImportedWSDL(javax.servlet.http.HttpServletRequest request, java.lang.String paramName)` This method will return the value of the parameter
`protected void` | `printWSDL(org.apache.axis2.context.ConfigurationContext configurationContext, java.lang.String serviceName, javax.servlet.http.HttpServletResponse response, AbstractWsdlProcessor.WSDLPrinter wsdlPrinter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.wso2.wsas.transport.HttpGetRequestProcessor
`process`

Constructor Detail

### AbstractWsdlProcessor

    public AbstractWsdlProcessor()

Method Detail

### printWSDL

    protected void printWSDL(org.apache.axis2.context.ConfigurationContext configurationContext,
                             java.lang.String serviceName,
                             javax.servlet.http.HttpServletResponse response,
                             AbstractWsdlProcessor.WSDLPrinter wsdlPrinter)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### checkForAnnotation

    protected boolean checkForAnnotation(javax.servlet.http.HttpServletRequest request)

  This method check for annotation=true query param. If it is available this method return true, otherwise false.

  Parameters:
    `request` -
  Returns:
    boolean

### getImportedWSDL

    protected java.lang.String getImportedWSDL(javax.servlet.http.HttpServletRequest request,
                                               java.lang.String paramName)

  This method will return the value of the parameter

  Parameters:
    `request` -
    `paramName` -
  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD